Explode Example |
Using Programming Languages other than VBA
Sub Example_Explode() ' This example creates a lightweight polyline in model space. ' It then explodes the polyline. Dim plineObj As AcadLWPolyline Dim points(0 To 11) As Double ' Define the 2D polyline points points(0) = 1: points(1) = 1 points(2) = 1: points(3) = 2 points(4) = 2: points(5) = 2 points(6) = 3: points(7) = 2 points(8) = 4: points(9) = 4 points(10) = 4: points(11) = 1 ' Create a lightweight Polyline object in model space Set plineObj = ThisDrawing.ModelSpace.AddLightWeightPolyline(points) ' Set the bulge on one segment to vary the ' type of objects in the polyline plineObj.SetBulge 3, -0.5 ZoomAll ' Explode the polyline MsgBox "Explode the polyline?", , "Explode Example" Dim explodedObjects As Variant explodedObjects = plineObj.Explode ' Loop through the exploded objects Dim I As Integer For I = 0 To UBound(explodedObjects) explodedObjects(I).Update MsgBox "Exploded Object " & I & ": " & explodedObjects(I).ObjectName, , "Explode Example" explodedObjects(I).Color = acByLayer explodedObjects(I).Update Next End Sub
Comments? |